GNU bug report logs - #40169
26.1; gomoku.el: Fix character movement

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Asher Gordon <AsDaGo@HIDDEN>; Keywords: patch; dated Sat, 21 Mar 2020 17:43:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 40169 <at> debbugs.gnu.org:


Received: (at 40169) by debbugs.gnu.org; 23 Mar 2020 03:26:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 22 23:26:36 2020
Received: from localhost ([127.0.0.1]:51322 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jGDjX-0002TJ-SB
	for submit <at> debbugs.gnu.org; Sun, 22 Mar 2020 23:26:36 -0400
Received: from mout01.posteo.de ([185.67.36.65]:36436)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <AsDaGo@HIDDEN>) id 1jGDjU-0002T4-SO
 for 40169 <at> debbugs.gnu.org; Sun, 22 Mar 2020 23:26:34 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 57F2516005C
 for <40169 <at> debbugs.gnu.org>; Mon, 23 Mar 2020 04:26:26 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1584933986; bh=oAwD/feG+W3qmh2O7wYuRPNtd3uHzGtHwnj/4BxhOB0=;
 h=From:To:Subject:Date:From;
 b=Mt5C7EU5upx6WOH7d0MXitQAk6+6/yk0J6dnLHGIzVfpHbrp65pwAs+MlEJJv1UnF
 6GGIAEhIX9gbPLhbAFKoQofpgPYHwoCx1yD2PQLmZUtAgwmO3wNWwCOGbrqvtRgTxq
 l03VH6BA/S1HY7lwXN9fYGCpxh9168rjYbnEXpq7dFQM7Xa0hp97CRu3X30hYgyVz0
 MdKKnvtd7x51UQM5H1g93fW0JskuPdXIXnGKNwcOGXItB0n8pLBnQk0VGSlDwx8Uok
 pmyIQI/mvm/JR4WOpXIt74V7tLBijnYGBh+D4Cc22nzB5ivniKnwRjvjN35W2PfPn1
 QQUpFHD8/JL9g==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 48m0Ch0w6rz6tm7
 for <40169 <at> debbugs.gnu.org>; Mon, 23 Mar 2020 04:26:23 +0100 (CET)
From: Asher Gordon <AsDaGo@HIDDEN>
To: 40169 <at> debbugs.gnu.org
Subject: Fix drawing the horizontal line
References: <87d095ipza.fsf@HIDDEN>
 <handler.40169.B.15848125491336.ack <at> debbugs.gnu.org>
 <875zexfrs5.fsf_-_@HIDDEN> <87pnd58f8t.fsf_-_@HIDDEN>
Date: Sun, 22 Mar 2020 23:26:16 -0400
In-Reply-To: <87pnd58f8t.fsf_-_@HIDDEN> (Asher Gordon's message of "Sat,
 21 Mar 2020 19:22:58 -0400")
Message-ID: <87r1xjlpk7.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40169
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain

Whoops! I accidentally broke drawing the horizontal line when someone
wins horizontally. Here is the patch below:

--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline; filename=horizontal-line.patch
Content-Description: Fix drawing the horizontal line

--- gomoku.el~	2020-03-21 19:13:36.284656730 -0400
+++ gomoku.el	2020-03-22 23:11:48.313804581 -0400
@@ -1114,7 +1114,7 @@
 	(setq square1 (+ square1 depl))
 	(cond
 	  ((= dy 0)			; Horizontal
-	   (gomoku-move-right)
+	   (forward-char 1)
 	   (insert-char ?- (1- gomoku-square-width) t)
 	   (delete-region (point) (progn
 				    (skip-chars-forward " \t")

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

And as before, I've also attached the fixed patch so you only have to
apply one patch.

Asher

=2D-=20
One picture is worth 128K words.
                               --------
I prefer to send and receive mail encrypted. Please send me your
public key, and if you do not have my public key, please let me
know. Thanks.

GPG fingerprint: 38F3 975C D173 4037 B397  8095 D4C9 C4FC 5460 8E68

--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=gomoku.patch
Content-Transfer-Encoding: quoted-printable
Content-Description: Fixed patch

diff -u gomoku.el gomoku.el
=2D-- gomoku.el	2020-03-21 19:13:36.284656730 -0400
+++ gomoku.el	2020-03-22 23:11:48.313804581 -0400
@@ -110,8 +110,8 @@
     (define-key map "u" 'gomoku-move-ne)		    ; u
     (define-key map "b" 'gomoku-move-sw)		    ; b
     (define-key map "n" 'gomoku-move-se)		    ; n
=2D    (define-key map "h" 'backward-char)			    ; h
=2D    (define-key map "l" 'forward-char)			    ; l
+    (define-key map "h" 'gomoku-move-left)		    ; h
+    (define-key map "l" 'gomoku-move-right)		    ; l
     (define-key map "j" 'gomoku-move-down)		    ; j
     (define-key map "k" 'gomoku-move-up)		    ; k
=20
@@ -119,11 +119,13 @@
     (define-key map [kp-9] 'gomoku-move-ne)
     (define-key map [kp-1] 'gomoku-move-sw)
     (define-key map [kp-3] 'gomoku-move-se)
=2D    (define-key map [kp-4] 'backward-char)
=2D    (define-key map [kp-6] 'forward-char)
+    (define-key map [kp-4] 'gomoku-move-left)
+    (define-key map [kp-6] 'gomoku-move-right)
     (define-key map [kp-2] 'gomoku-move-down)
     (define-key map [kp-8] 'gomoku-move-up)
=20
+    (define-key map "\C-b" 'gomoku-move-left)		    ; C-b
+    (define-key map "\C-f" 'gomoku-move-right)		    ; C-f
     (define-key map "\C-n" 'gomoku-move-down)		    ; C-n
     (define-key map "\C-p" 'gomoku-move-up)		    ; C-p
=20
@@ -146,6 +148,10 @@
     (define-key map [mouse-2] 'gomoku-mouse-play)
     (define-key map [drag-mouse-2] 'gomoku-mouse-play)
=20
+    (define-key map [remap backward-char] 'gomoku-move-left)
+    (define-key map [remap left-char] 'gomoku-move-left)
+    (define-key map [remap forward-char] 'gomoku-move-right)
+    (define-key map [remap right-char] 'gomoku-move-right)
     (define-key map [remap previous-line] 'gomoku-move-up)
     (define-key map [remap next-line] 'gomoku-move-down)
     (define-key map [remap move-beginning-of-line] 'gomoku-beginning-of-li=
ne)
@@ -954,6 +960,11 @@
 	 ;; 2 instead of 1 because WINDOW-HEIGHT includes the mode line !
 	 gomoku-square-height)))
=20
+(defun gomoku-point-x ()
+  "Return the board column where point is."
+  (1+ (/ (- (current-column) gomoku-x-offset)
+	 gomoku-square-width)))
+
 (defun gomoku-point-y ()
   "Return the board row where point is."
   (1+ (/ (- (count-lines (point-min) (point))
@@ -1143,13 +1154,28 @@
           (skip-chars-forward gomoku--intangible-chars)
           (when (eobp)
             (skip-chars-backward gomoku--intangible-chars)
=2D            (forward-char -1)))
+            (gomoku-move-left)))
       (skip-chars-backward gomoku--intangible-chars)
       (if (bobp)
           (skip-chars-forward gomoku--intangible-chars)
=2D        (forward-char -1))))
+        (gomoku-move-left))))
   (setq gomoku--last-pos (point)))
=20
+;; forward-char and backward-char don't always move the right number
+;; of characters. Also, these functions check if you're on the edge of
+;; the screen.
+(defun gomoku-move-right ()
+  "Move point right one column on the Gomoku board."
+  (interactive)
+  (when (< (gomoku-point-x) gomoku-board-width)
+    (forward-char gomoku-square-width)))
+
+(defun gomoku-move-left ()
+  "Move point left one column on the Gomoku board."
+  (interactive)
+  (when (> (gomoku-point-x) 1)
+    (backward-char gomoku-square-width)))
+
 ;; previous-line and next-line don't work right with intangible newlines
 (defun gomoku-move-down ()
   "Move point down one row on the Gomoku board."
@@ -1171,25 +1197,25 @@
   "Move point North East on the Gomoku board."
   (interactive)
   (gomoku-move-up)
=2D  (forward-char))
+  (gomoku-move-right))
=20
 (defun gomoku-move-se ()
   "Move point South East on the Gomoku board."
   (interactive)
   (gomoku-move-down)
=2D  (forward-char))
+  (gomoku-move-right))
=20
 (defun gomoku-move-nw ()
   "Move point North West on the Gomoku board."
   (interactive)
   (gomoku-move-up)
=2D  (backward-char))
+  (gomoku-move-left))
=20
 (defun gomoku-move-sw ()
   "Move point South West on the Gomoku board."
   (interactive)
   (gomoku-move-down)
=2D  (backward-char))
+  (gomoku-move-left))
=20
 (defun gomoku-beginning-of-line ()
   "Move point to first square on the Gomoku board row."

--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYIAB0WIQQ485dc0XNAN7OXgJXUycT8VGCOaAUCXngsWAAKCRDUycT8VGCO
aILIAQCmI3GUbHsdbA8TfNV7rmdhMstEXgrhHRsriSXmV4fUoQD+Io7E1G+/2/80
nDjRxEmZIthJOuu42OOmajOODW9y7Q8=
=/eZW
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40169; Package emacs. Full text available.

Message received at 40169 <at> debbugs.gnu.org:


Received: (at 40169) by debbugs.gnu.org; 21 Mar 2020 23:23:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 21 19:23:19 2020
Received: from localhost ([127.0.0.1]:48442 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jFnSY-0006HW-Kc
	for submit <at> debbugs.gnu.org; Sat, 21 Mar 2020 19:23:18 -0400
Received: from mout02.posteo.de ([185.67.36.66]:46967)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <AsDaGo@HIDDEN>) id 1jFnSV-0006HF-KO
 for 40169 <at> debbugs.gnu.org; Sat, 21 Mar 2020 19:23:17 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 029302400E6
 for <40169 <at> debbugs.gnu.org>; Sun, 22 Mar 2020 00:23:08 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1584832989; bh=pJYwvjd6mv8+T3wlEWvEkX1mBEgH6pAdiFD+4sLqRmg=;
 h=From:To:Subject:Date:From;
 b=rMK+7gcFQpU55/rjrI8U91KHxzCIV7A3Jm7rIA87yeqWbE8p0QLpJ5kcpG31peHbC
 lUMlsmgPEjsfGlHa7nWI2Agb/Rj8BMJF+OAiNo58y1AvSRI3cdm5VKI5SHIdx1qP7Z
 QW0zlfGDpkMePqMDkUjnQXo81gIVdntyiMp8a0MKeFgUwopHN1pMeVuF4UuTLLs24j
 7HXjL/DdbSYesWha7af73DxLsHSYBSxAOn2170cbEgLgJlENI8iLjkQBp6fl/t+NhO
 2582v3JR8zpXT06j+Os+UQQwOKmHlxE02DBYJ1ydu1Fo53vxdsEdXFftoHd72Pjw77
 JTHr4H3Im4b7g==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 48lGsR16kzz9rxW
 for <40169 <at> debbugs.gnu.org>; Sun, 22 Mar 2020 00:23:06 +0100 (CET)
From: Asher Gordon <AsDaGo@HIDDEN>
To: 40169 <at> debbugs.gnu.org
Subject: Fix gomoku-plot-square
References: <87d095ipza.fsf@HIDDEN>
 <handler.40169.B.15848125491336.ack <at> debbugs.gnu.org>
 <875zexfrs5.fsf_-_@HIDDEN>
Date: Sat, 21 Mar 2020 19:22:58 -0400
In-Reply-To: <875zexfrs5.fsf_-_@HIDDEN> (Asher Gordon's message of "Sat,
 21 Mar 2020 15:10:18 -0400")
Message-ID: <87pnd58f8t.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40169
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hi,

It turns out that `backward-char' in `gomoku-plot-square' should not be
replaced. I have attached a patch (gomoku-plot-square.patch) to fix
that.

For your convenience, I've also attached another patch (gomoku.patch)
which combines the previous two patches and this one (with `combinediff'
from `patchutils'). I tested it to make sure it applies cleanly.

Asher

=2D-=20
Only fools are quoted.
		-- Anonymous
                               --------
I prefer to send and receive mail encrypted. Please send me your
public key, and if you do not have my public key, please let me
know. Thanks.

GPG fingerprint: 38F3 975C D173 4037 B397  8095 D4C9 C4FC 5460 8E68

--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=gomoku-plot-square.patch
Content-Transfer-Encoding: quoted-printable
Content-Description: Fix `gomoku-plot-square'

=2D-- gomoku.el~	2020-03-21 15:06:52.145727337 -0400
+++ gomoku.el	2020-03-21 19:13:36.284656730 -0400
@@ -1000,7 +1000,7 @@
 	  (1- (point)) (point)
 	  '(mouse-face highlight help-echo "mouse-2: play at this square")))
     (delete-char 1)
=2D    (gomoku-move-left))
+    (backward-char 1))
   (sit-for 0))	; Display NOW
=20
 (defun gomoku-init-display (n m)

--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=gomoku.patch
Content-Transfer-Encoding: quoted-printable
Content-Description: Combination of all three patches

diff -u gomoku.el gomoku.el
=2D-- gomoku.el	2020-03-21 15:06:52.145727337 -0400
+++ gomoku.el	2020-03-21 19:13:36.284656730 -0400
@@ -110,8 +110,8 @@
     (define-key map "u" 'gomoku-move-ne)		    ; u
     (define-key map "b" 'gomoku-move-sw)		    ; b
     (define-key map "n" 'gomoku-move-se)		    ; n
=2D    (define-key map "h" 'backward-char)			    ; h
=2D    (define-key map "l" 'forward-char)			    ; l
+    (define-key map "h" 'gomoku-move-left)		    ; h
+    (define-key map "l" 'gomoku-move-right)		    ; l
     (define-key map "j" 'gomoku-move-down)		    ; j
     (define-key map "k" 'gomoku-move-up)		    ; k
=20
@@ -119,11 +119,13 @@
     (define-key map [kp-9] 'gomoku-move-ne)
     (define-key map [kp-1] 'gomoku-move-sw)
     (define-key map [kp-3] 'gomoku-move-se)
=2D    (define-key map [kp-4] 'backward-char)
=2D    (define-key map [kp-6] 'forward-char)
+    (define-key map [kp-4] 'gomoku-move-left)
+    (define-key map [kp-6] 'gomoku-move-right)
     (define-key map [kp-2] 'gomoku-move-down)
     (define-key map [kp-8] 'gomoku-move-up)
=20
+    (define-key map "\C-b" 'gomoku-move-left)		    ; C-b
+    (define-key map "\C-f" 'gomoku-move-right)		    ; C-f
     (define-key map "\C-n" 'gomoku-move-down)		    ; C-n
     (define-key map "\C-p" 'gomoku-move-up)		    ; C-p
=20
@@ -146,6 +148,10 @@
     (define-key map [mouse-2] 'gomoku-mouse-play)
     (define-key map [drag-mouse-2] 'gomoku-mouse-play)
=20
+    (define-key map [remap backward-char] 'gomoku-move-left)
+    (define-key map [remap left-char] 'gomoku-move-left)
+    (define-key map [remap forward-char] 'gomoku-move-right)
+    (define-key map [remap right-char] 'gomoku-move-right)
     (define-key map [remap previous-line] 'gomoku-move-up)
     (define-key map [remap next-line] 'gomoku-move-down)
     (define-key map [remap move-beginning-of-line] 'gomoku-beginning-of-li=
ne)
@@ -954,6 +960,11 @@
 	 ;; 2 instead of 1 because WINDOW-HEIGHT includes the mode line !
 	 gomoku-square-height)))
=20
+(defun gomoku-point-x ()
+  "Return the board column where point is."
+  (1+ (/ (- (current-column) gomoku-x-offset)
+	 gomoku-square-width)))
+
 (defun gomoku-point-y ()
   "Return the board row where point is."
   (1+ (/ (- (count-lines (point-min) (point))
@@ -1103,7 +1114,7 @@
 	(setq square1 (+ square1 depl))
 	(cond
 	  ((=3D dy 0)			; Horizontal
=2D	   (forward-char 1)
+	   (gomoku-move-right)
 	   (insert-char ?- (1- gomoku-square-width) t)
 	   (delete-region (point) (progn
 				    (skip-chars-forward " \t")
@@ -1143,13 +1154,28 @@
           (skip-chars-forward gomoku--intangible-chars)
           (when (eobp)
             (skip-chars-backward gomoku--intangible-chars)
=2D            (forward-char -1)))
+            (gomoku-move-left)))
       (skip-chars-backward gomoku--intangible-chars)
       (if (bobp)
           (skip-chars-forward gomoku--intangible-chars)
=2D        (forward-char -1))))
+        (gomoku-move-left))))
   (setq gomoku--last-pos (point)))
=20
+;; forward-char and backward-char don't always move the right number
+;; of characters. Also, these functions check if you're on the edge of
+;; the screen.
+(defun gomoku-move-right ()
+  "Move point right one column on the Gomoku board."
+  (interactive)
+  (when (< (gomoku-point-x) gomoku-board-width)
+    (forward-char gomoku-square-width)))
+
+(defun gomoku-move-left ()
+  "Move point left one column on the Gomoku board."
+  (interactive)
+  (when (> (gomoku-point-x) 1)
+    (backward-char gomoku-square-width)))
+
 ;; previous-line and next-line don't work right with intangible newlines
 (defun gomoku-move-down ()
   "Move point down one row on the Gomoku board."
@@ -1171,25 +1197,25 @@
   "Move point North East on the Gomoku board."
   (interactive)
   (gomoku-move-up)
=2D  (forward-char))
+  (gomoku-move-right))
=20
 (defun gomoku-move-se ()
   "Move point South East on the Gomoku board."
   (interactive)
   (gomoku-move-down)
=2D  (forward-char))
+  (gomoku-move-right))
=20
 (defun gomoku-move-nw ()
   "Move point North West on the Gomoku board."
   (interactive)
   (gomoku-move-up)
=2D  (backward-char))
+  (gomoku-move-left))
=20
 (defun gomoku-move-sw ()
   "Move point South West on the Gomoku board."
   (interactive)
   (gomoku-move-down)
=2D  (backward-char))
+  (gomoku-move-left))
=20
 (defun gomoku-beginning-of-line ()
   "Move point to first square on the Gomoku board row."

--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYIAB0WIQQ485dc0XNAN7OXgJXUycT8VGCOaAUCXnah0gAKCRDUycT8VGCO
aNbuAP45+hUe+Z2+v4VlCyojr7sMdbve4fypuQdTIzrb9iCciAD/XWEUWFTu3h1U
Urk9Pz7dyyGPrULrCijUQKFTRt1vHwo=
=IqG6
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40169; Package emacs. Full text available.

Message received at 40169 <at> debbugs.gnu.org:


Received: (at 40169) by debbugs.gnu.org; 21 Mar 2020 19:10:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 21 15:10:36 2020
Received: from localhost ([127.0.0.1]:48031 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jFjW0-0000au-JK
	for submit <at> debbugs.gnu.org; Sat, 21 Mar 2020 15:10:36 -0400
Received: from mout01.posteo.de ([185.67.36.65]:37448)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <AsDaGo@HIDDEN>) id 1jFjVy-0000ac-DA
 for 40169 <at> debbugs.gnu.org; Sat, 21 Mar 2020 15:10:35 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 4643116005E
 for <40169 <at> debbugs.gnu.org>; Sat, 21 Mar 2020 20:10:28 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1584817828; bh=6XyVFw2yUCFxEBYf7nYvtJK9c7LembzTyWNK1bbrDnI=;
 h=From:To:Subject:Date:From;
 b=hmNyd3RMUhH47FjPh0E+GsWPiBfyPdP7tcGGRnlB3ovxuaJ0GJQ9cJH8vJ97TxTrC
 po3py92FsiZZF4q2H+4TLY3Euo+SAHR++VtHEs2dW9VvC4wAGyqTNRRnhZTOasBsEn
 tNhiDnDIv3u1XD77PV8sPdxYLfaabg5cj5I8KtWRNUsv1iC4QvnFj/uQWhJ1HFhzD/
 fr+LKQzjDhNRDsUHkKaYzDK/+zHfLAdLOwuBJsO3IvqheWuIXMr1gk+xlkYnVvcb3e
 XEIGeM1ya7Dz2AzuCW2DH5h/CgUQJOQkFxKmhmHmSassRAS5s0HkEQ4Snba9dbhw0L
 Bgw+M6TJVMAgQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 48l9Ft4t5zz6tm8
 for <40169 <at> debbugs.gnu.org>; Sat, 21 Mar 2020 20:10:26 +0100 (CET)
From: Asher Gordon <AsDaGo@HIDDEN>
To: 40169 <at> debbugs.gnu.org
Subject: Add missing keymaps
References: <87d095ipza.fsf@HIDDEN>
 <handler.40169.B.15848125491336.ack <at> debbugs.gnu.org>
Date: Sat, 21 Mar 2020 15:10:18 -0400
In-Reply-To: <handler.40169.B.15848125491336.ack <at> debbugs.gnu.org> (GNU bug
 Tracking System's message of "Sat, 21 Mar 2020 17:43:02 +0000")
Message-ID: <875zexfrs5.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40169
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Here are some keymap definitions I forgot before.

Asher

=2D-=20
If at first you don't succeed, redefine success.
                               --------
I prefer to send and receive mail encrypted. Please send me your
public key, and if you do not have my public key, please let me
know. Thanks.

GPG fingerprint: 38F3 975C D173 4037 B397  8095 D4C9 C4FC 5460 8E68

--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=keymap.patch
Content-Transfer-Encoding: quoted-printable
Content-Description: Add some missing keymaps

=2D-- gomoku.el~	2020-03-21 13:13:14.666192678 -0400
+++ gomoku.el	2020-03-21 15:06:52.145727337 -0400
@@ -124,6 +124,8 @@
     (define-key map [kp-2] 'gomoku-move-down)
     (define-key map [kp-8] 'gomoku-move-up)
=20
+    (define-key map "\C-b" 'gomoku-move-left)		    ; C-b
+    (define-key map "\C-f" 'gomoku-move-right)		    ; C-f
     (define-key map "\C-n" 'gomoku-move-down)		    ; C-n
     (define-key map "\C-p" 'gomoku-move-up)		    ; C-p
=20
@@ -146,6 +148,10 @@
     (define-key map [mouse-2] 'gomoku-mouse-play)
     (define-key map [drag-mouse-2] 'gomoku-mouse-play)
=20
+    (define-key map [remap backward-char] 'gomoku-move-left)
+    (define-key map [remap left-char] 'gomoku-move-left)
+    (define-key map [remap forward-char] 'gomoku-move-right)
+    (define-key map [remap right-char] 'gomoku-move-right)
     (define-key map [remap previous-line] 'gomoku-move-up)
     (define-key map [remap next-line] 'gomoku-move-down)
     (define-key map [remap move-beginning-of-line] 'gomoku-beginning-of-li=
ne)

--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYIAB0WIQQ485dc0XNAN7OXgJXUycT8VGCOaAUCXnZmmgAKCRDUycT8VGCO
aOCwAQCPOB7Ngn1y3fo5XgJnUzue4nbawrXvAoAVqex2wc97cAD/d9kIjh3zlooZ
7+HbaFL9/z0lElvKmQooJyNzapMaDgM=
=VJK/
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40169; Package emacs. Full text available.
Added tag(s) patch. Request was from Asher Gordon <AsDaGo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Mar 2020 17:42:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 21 13:42:29 2020
Received: from localhost ([127.0.0.1]:47951 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jFi8h-0000LS-7s
	for submit <at> debbugs.gnu.org; Sat, 21 Mar 2020 13:42:29 -0400
Received: from lists.gnu.org ([209.51.188.17]:33339)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <AsDaGo@HIDDEN>) id 1jFhoG-0008Aj-QW
 for submit <at> debbugs.gnu.org; Sat, 21 Mar 2020 13:21:22 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:54928)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <AsDaGo@HIDDEN>) id 1jFhoB-0003Uy-RX
 for bug-gnu-emacs@HIDDEN; Sat, 21 Mar 2020 13:21:20 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.5 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_MED,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <AsDaGo@HIDDEN>) id 1jFho6-0006JA-UL
 for bug-gnu-emacs@HIDDEN; Sat, 21 Mar 2020 13:21:15 -0400
Received: from mout02.posteo.de ([185.67.36.66]:58071)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <AsDaGo@HIDDEN>) id 1jFho6-0006GI-74
 for bug-gnu-emacs@HIDDEN; Sat, 21 Mar 2020 13:21:10 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id F129E2400E6
 for <bug-gnu-emacs@HIDDEN>; Sat, 21 Mar 2020 18:21:06 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1584811267; bh=r4gMegoLo2QGqBGKJIodCC2nu/pQVel7MSP6fOO29tw=;
 h=From:To:Subject:Date:From;
 b=GTzywMYLGkvmui+RCndZkkJtaHd+jZdp6OpNrNhJ80cfO5wxWlt8ib6uqZVIYQsH3
 rBj+HiT4Cs/HihfAriFpxYJLt1JobXosLCjZeiVOzuEAIPASgMiQIKIYekBw+1+Mal
 2L7NWwpTDj9KIcsHBMMCZdm//wojGVt6uAqKgXq051/22Zl7fxIhvzrDAtQKRFr/F0
 34d+eOtnC2LJOARrPbr0f+/uz1MS1794k0QoauB1hMJCYgy24yS6b3p/HAxCDyqNse
 rG3ATcn9yClEKHL2vEJZsGi/FuS57HhVmz2dps14CaO2xjUsWT0y6VeLybAnYAWdNd
 3jp8pF4mdaxVA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 48l6qh45KKz9rxW
 for <bug-gnu-emacs@HIDDEN>; Sat, 21 Mar 2020 18:21:04 +0100 (CET)
From: Asher Gordon <AsDaGo@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.1; gomoku.el: Fix character movement
Date: Sat, 21 Mar 2020 13:20:57 -0400
Message-ID: <87d095ipza.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 185.67.36.66
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 21 Mar 2020 13:42:25 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hello,

I found a bug in gomoku.el. When 'b' or 'u' is pressed, it does not work
as expected (to move south-west or north-east respectively). Instead,
they move down or up (they are bound to the correct functions;
`gomoku-move-sw' and `gomoku-move-ne' respectively).

Strangely, `gomoku-move-se' and `gomoku-move-nw' work correctly. I'm not
sure why this is, but in any case, the attached patch fixes the bug.

Thanks,
Asher

=2D-=20
I hate quotations.
                -- Ralph Waldo Emerson
                               --------
I prefer to send and receive mail encrypted. Please send me your
public key, and if you do not have my public key, please let me
know. Thanks.

GPG fingerprint: 38F3 975C D173 4037 B397  8095 D4C9 C4FC 5460 8E68


In GNU Emacs 26.1 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.11)
 of 2019-09-08, modified by Debian built on x86-ubc-02
System Description:	Debian GNU/Linux bullseye/sid

Recent messages:
Loading paren...done
Battery status not available
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list... [2 times]
Loading /home/asher/gomoku.el (source)...done
One moment, please...
Do you allow me to play first? (y or n) n
Your move?  (Move to a free square and hit X, RET ...)
Type M-x delete-other-windows to delete the help window.
Making completion list...

Configured using:
 'configure --build x86_64-linux-gnu --prefix=3D/usr
 --sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib
 --localstatedir=3D/var/lib --infodir=3D/usr/share/info
 --mandir=3D/usr/share/man --enable-libsystemd --with-pop=3Dyes
 --enable-locallisppath=3D/etc/emacs:/usr/local/share/emacs/26.1/site-lisp:=
/usr/local/share/emacs/site-lisp:/usr/share/emacs/26.1/site-lisp:/usr/share=
/emacs/site-lisp
 --with-sound=3Dalsa --without-gconf --with-mailutils --build
 x86_64-linux-gnu --prefix=3D/usr --sharedstatedir=3D/var/lib
 --libexecdir=3D/usr/lib --localstatedir=3D/var/lib
 --infodir=3D/usr/share/info --mandir=3D/usr/share/man --enable-libsystemd
 --with-pop=3Dyes
 --enable-locallisppath=3D/etc/emacs:/usr/local/share/emacs/26.1/site-lisp:=
/usr/local/share/emacs/site-lisp:/usr/share/emacs/26.1/site-lisp:/usr/share=
/emacs/site-lisp
 --with-sound=3Dalsa --without-gconf --with-mailutils --with-x=3Dyes
 --with-x-toolkit=3Dgtk3 --with-toolkit-scroll-bars 'CFLAGS=3D-g -O2
 -fdebug-prefix-map=3D/build/emacs-iJm1BQ/emacs-26.1+1=3D. -fstack-protecto=
r-strong
 -Wformat -Werror=3Dformat-security -Wall' 'CPPFLAGS=3D-Wdate-time
 -D_FORTIFY_SOURCE=3D2' LDFLAGS=3D-Wl,-z,relro'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 THREADS LIBSYSTEMD LCMS2

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  gpm-mouse-mode: t
  display-time-mode: t
  global-undo-tree-mode: t
  autopair-global-mode: t
  show-paren-mode: t
  savehist-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/usr/share/emacs/site-lisp/gcl/smart-complete hides /usr/share/emacs/site-l=
isp/maxima/smart-complete
/usr/share/emacs/site-lisp/gcl/sshell hides /usr/share/emacs/site-lisp/maxi=
ma/sshell
/usr/share/emacs/site-lisp/llvm/emacs hides /usr/share/emacs/site-lisp/llvm=
-8/emacs
/usr/share/emacs/site-lisp/llvm/llvm-mode hides /usr/share/emacs/site-lisp/=
llvm-8/llvm-mode
/usr/share/emacs/site-lisp/llvm/tablegen-mode hides /usr/share/emacs/site-l=
isp/llvm-8/tablegen-mode
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-autoloads hides /usr/sh=
are/emacs/site-lisp/elpa/dpkg-dev-el-37.0/debian-autoloads
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/rotor-theme hides =
/usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/rotor-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/matrix-theme hides=
 /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/matrix-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/dark-blue2-theme h=
ides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/dark-blue=
2-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/standard-theme hid=
es /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/standard-th=
eme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/classic-theme hide=
s /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/classic-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/aalto-light-theme =
hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/aalto-li=
ght-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/emacs-nw-theme hid=
es /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/emacs-nw-th=
eme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/blue-eshell-theme =
hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/blue-esh=
ell-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/late-night-theme h=
ides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/late-nigh=
t-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/dark-gnus-theme hi=
des /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/dark-gnus-=
theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/shaman-theme hides=
 /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/shaman-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/julie-theme hides =
/usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/julie-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/raspopovic-theme h=
ides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/raspopovi=
c-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/andreas-theme hide=
s /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/andreas-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/aliceblue-theme hi=
des /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/aliceblue-=
theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/mistyday-theme hid=
es /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/mistyday-th=
eme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/dark-erc-theme hid=
es /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/dark-erc-th=
eme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/tty-dark-theme hid=
es /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/tty-dark-th=
eme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/gray30-theme hides=
 /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/gray30-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/color-theme-modern=
 hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/color-t=
heme-modern
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/ramangalahy-theme =
hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/ramangal=
ahy-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/dark-info-theme hi=
des /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/dark-info-=
theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/infodoc-theme hide=
s /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/infodoc-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/lawrence-theme hid=
es /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/lawrence-th=
eme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/high-contrast-them=
e hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/high-c=
ontrast-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/deep-blue-theme hi=
des /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/deep-blue-=
theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/retro-orange-theme=
 hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/retro-o=
range-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/jedit-grey-theme h=
ides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/jedit-gre=
y-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/scintilla-theme hi=
des /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/scintilla-=
theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/blippblopp-theme h=
ides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/blippblop=
p-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/beige-diff-theme h=
ides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/beige-dif=
f-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/charcoal-black-the=
me hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/charc=
oal-black-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/jsc-light-theme hi=
des /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/jsc-light-=
theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/marquardt-theme hi=
des /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/marquardt-=
theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/pok-wob-theme hide=
s /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/pok-wob-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/lethe-theme hides =
/usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/lethe-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/aalto-dark-theme h=
ides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/aalto-dar=
k-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/salmon-font-lock-t=
heme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/sal=
mon-font-lock-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/jsc-light2-theme h=
ides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/jsc-light=
2-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/arjen-theme hides =
/usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/arjen-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/dark-laptop-theme =
hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/dark-lap=
top-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/katester-theme hid=
es /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/katester-th=
eme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/oswald-theme hides=
 /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/oswald-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/resolve-theme hide=
s /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/resolve-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/blue-mood-theme hi=
des /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/blue-mood-=
theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/sitaramv-nt-theme =
hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/sitaramv=
-nt-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/blue-gnus-theme hi=
des /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/blue-gnus-=
theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/whateveryouwant-th=
eme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/what=
everyouwant-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/gray1-theme hides =
/usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/gray1-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/jsc-dark-theme hid=
es /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/jsc-dark-th=
eme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/robin-hood-theme h=
ides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/robin-hoo=
d-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/blue-erc-theme hid=
es /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/blue-erc-th=
eme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/black-on-gray-them=
e hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/black-=
on-gray-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/word-perfect-theme=
 hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/word-pe=
rfect-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/dark-font-lock-the=
me hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/dark-=
font-lock-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/snow-theme hides /=
usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/snow-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/standard-ediff-the=
me hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/stand=
ard-ediff-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/pok-wog-theme hide=
s /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/pok-wog-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/xp-theme hides /us=
r/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/xp-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/wheat-theme hides =
/usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/wheat-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/cobalt-theme hides=
 /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/cobalt-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/retro-green-theme =
hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/retro-gr=
een-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/dark-blue-theme hi=
des /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/dark-blue-=
theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/sitaramv-solaris-t=
heme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/sit=
aramv-solaris-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/montz-theme hides =
/usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/montz-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/vim-colors-theme h=
ides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/vim-color=
s-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/taylor-theme hides=
 /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/taylor-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/billw-theme hides =
/usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/billw-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/fischmeister-theme=
 hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/fischme=
ister-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/xemacs-theme hides=
 /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/xemacs-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/subtle-hacker-them=
e hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/subtle=
-hacker-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/simple-1-theme hid=
es /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/simple-1-th=
eme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/blue-sea-theme hid=
es /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/blue-sea-th=
eme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/emacs-21-theme hid=
es /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/emacs-21-th=
eme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/snowish-theme hide=
s /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/snowish-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/color-theme-modern=
-pkg hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/col=
or-theme-modern-pkg
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/gtk-ide-theme hide=
s /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/gtk-ide-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/jonadabian-theme h=
ides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/jonadabia=
n-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/digital-ofs1-theme=
 hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/digital=
-ofs1-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/desert-theme hides=
 /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/desert-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/goldenrod-theme hi=
des /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/goldenrod-=
theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/ryerson-theme hide=
s /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/ryerson-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/euphoria-theme hid=
es /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/euphoria-th=
eme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/greiner-theme hide=
s /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/greiner-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/pierson-theme hide=
s /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/pierson-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/hober-theme hides =
/usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/hober-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/calm-forest-theme =
hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/calm-for=
est-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/parus-theme hides =
/usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/parus-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/marine-theme hides=
 /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/marine-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/kingsajz-theme hid=
es /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/kingsajz-th=
eme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/beige-eshell-theme=
 hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/beige-e=
shell-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/taming-mr-arneson-=
theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/ta=
ming-mr-arneson-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/renegade-theme hid=
es /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/renegade-th=
eme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/clarity-theme hide=
s /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/clarity-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/jonadabian-slate-t=
heme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/jon=
adabian-slate-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/dark-green-theme h=
ides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/dark-gree=
n-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/jb-simple-theme hi=
des /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/jb-simple-=
theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/midnight-theme hid=
es /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/midnight-th=
eme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/salmon-diff-theme =
hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/salmon-d=
iff-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/ld-dark-theme hide=
s /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/ld-dark-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/gnome2-theme hides=
 /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/gnome2-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/bharadwaj-theme hi=
des /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/bharadwaj-=
theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/subdued-theme hide=
s /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/subdued-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/feng-shui-theme hi=
des /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/feng-shui-=
theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/railscast-theme hi=
des /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/railscast-=
theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/gnome-theme hides =
/usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/gnome-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/subtle-blue-theme =
hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/subtle-b=
lue-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/color-theme-modern=
-autoloads hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0=
.2/color-theme-modern-autoloads
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/bharadwaj-slate-th=
eme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/bhar=
adwaj-slate-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/comidia-theme hide=
s /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/comidia-theme
/usr/share/emacs/site-lisp/elpa/debian-el-37/apt-utils hides /usr/share/ema=
cs/site-lisp/elpa-src/debian-el-37/apt-utils
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-el-autoloads hides /usr=
/share/emacs/site-lisp/elpa-src/debian-el-37/debian-el-autoloads
/usr/share/emacs/site-lisp/elpa/debian-el-37/gnus-BTS hides /usr/share/emac=
s/site-lisp/elpa-src/debian-el-37/gnus-BTS
/usr/share/emacs/site-lisp/elpa/debian-el-37/deb-view hides /usr/share/emac=
s/site-lisp/elpa-src/debian-el-37/deb-view
/usr/share/emacs/site-lisp/elpa/debian-el-37/preseed hides /usr/share/emacs=
/site-lisp/elpa-src/debian-el-37/preseed
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-el-pkg hides /usr/share=
/emacs/site-lisp/elpa-src/debian-el-37/debian-el-pkg
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-autoloads hides /usr/sh=
are/emacs/site-lisp/elpa-src/debian-el-37/debian-autoloads
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-el hides /usr/share/ema=
cs/site-lisp/elpa-src/debian-el-37/debian-el
/usr/share/emacs/site-lisp/elpa/debian-el-37/apt-sources hides /usr/share/e=
macs/site-lisp/elpa-src/debian-el-37/apt-sources
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-bug hides /usr/share/em=
acs/site-lisp/elpa-src/debian-el-37/debian-bug
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/dpkg-dev-el-pkg hides /usr=
/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/dpkg-dev-el-pkg
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/debian-bts-control hides /=
usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/debian-bts-control
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/dpkg-dev-el hides /usr/sha=
re/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/dpkg-dev-el
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-autoloads hides /usr/sh=
are/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/debian-autoloads
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/debian-copyright hides /us=
r/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/debian-copyright
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/readme-debian hides /usr/s=
hare/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/readme-debian
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/debian-changelog-mode hide=
s /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/debian-changelog-mode
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/dpkg-dev-el-autoloads hide=
s /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/dpkg-dev-el-autoloads
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/debian-control-mode hides =
/usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/debian-control-mode
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-process hides /us=
r/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-process
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-session hides /us=
r/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-session
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-hoogle hides /usr=
/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-hoogle
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-mode hides /usr/s=
hare/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-mode
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-indentation hides=
 /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-indentation
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-indent hides /usr=
/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-indent
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-sandbox hides /us=
r/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-sandbox
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-string hides /usr=
/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-string
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-ghc-support hides=
 /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-ghc-support
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-customize hides /=
usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-customize
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/inf-haskell hides /usr/sh=
are/emacs/site-lisp/elpa-src/haskell-mode-16.1/inf-haskell
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-debug hides /usr/=
share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-debug
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/highlight-uses-mode hides=
 /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/highlight-uses-mode
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-cabal hides /usr/=
share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-cabal
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-unicode-input-met=
hod hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-uni=
code-input-method
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-align-imports hid=
es /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-align-impo=
rts
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-repl hides /usr/s=
hare/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-repl
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-load hides /usr/s=
hare/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-load
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-lexeme hides /usr=
/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-lexeme
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-c2hs hides /usr/s=
hare/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-c2hs
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/ghci-script-mode hides /u=
sr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/ghci-script-mode
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-commands hides /u=
sr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-commands
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-doc hides /usr/sh=
are/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-doc
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell hides /usr/share/=
emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-mode-autoloads hi=
des /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-mode-auto=
loads
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-mode-pkg hides /u=
sr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-mode-pkg
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-compat hides /usr=
/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-compat
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-navigate-imports =
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-navigat=
e-imports
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-utils hides /usr/=
share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-utils
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-sort-imports hide=
s /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-sort-imports
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/ghc-core hides /usr/share=
/emacs/site-lisp/elpa-src/haskell-mode-16.1/ghc-core
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-decl-scan hides /=
usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-decl-scan
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-modules hides /us=
r/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-modules
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/w3m-haddock hides /usr/sh=
are/emacs/site-lisp/elpa-src/haskell-mode-16.1/w3m-haddock
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-menu hides /usr/s=
hare/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-menu
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-interactive-mode =
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-interac=
tive-mode
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-completions hides=
 /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-completions
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-collapse hides /u=
sr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-collapse
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-complete-module h=
ides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-complete=
-module
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-move-nested hides=
 /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-move-nested
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-font-lock hides /=
usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-font-lock
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-presentation-mode=
 hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-presen=
tation-mode
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-compile hides /us=
r/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-compile
/usr/share/emacs/site-lisp/flim/md4 hides /usr/share/emacs/26.1/lisp/md4
/usr/share/emacs/site-lisp/flim/hex-util hides /usr/share/emacs/26.1/lisp/h=
ex-util
/usr/share/emacs/site-lisp/flim/hmac-def hides /usr/share/emacs/26.1/lisp/n=
et/hmac-def
/usr/share/emacs/site-lisp/flim/ntlm hides /usr/share/emacs/26.1/lisp/net/n=
tlm
/usr/share/emacs/site-lisp/flim/sasl hides /usr/share/emacs/26.1/lisp/net/s=
asl
/usr/share/emacs/site-lisp/flim/sasl-ntlm hides /usr/share/emacs/26.1/lisp/=
net/sasl-ntlm
/usr/share/emacs/site-lisp/flim/hmac-md5 hides /usr/share/emacs/26.1/lisp/n=
et/hmac-md5
/usr/share/emacs/site-lisp/flim/sasl-digest hides /usr/share/emacs/26.1/lis=
p/net/sasl-digest
/usr/share/emacs/site-lisp/flim/sasl-cram hides /usr/share/emacs/26.1/lisp/=
net/sasl-cram
/home/asher/.emacs.d/elpa/landmark-1.0/landmark hides /usr/share/emacs/26.1=
/lisp/obsolete/landmark
/usr/share/emacs/site-lisp/auctex/context-en hides /usr/share/auctex/contex=
t-en
/usr/share/emacs/site-lisp/auctex/texmathp hides /usr/share/auctex/texmathp
/usr/share/emacs/site-lisp/auctex/font-latex hides /usr/share/auctex/font-l=
atex
/usr/share/emacs/site-lisp/auctex/preview hides /usr/share/auctex/preview
/usr/share/emacs/site-lisp/auctex/latex hides /usr/share/auctex/latex
/usr/share/emacs/site-lisp/auctex/tex-info hides /usr/share/auctex/tex-info
/usr/share/emacs/site-lisp/auctex/tex-style hides /usr/share/auctex/tex-sty=
le
/usr/share/emacs/site-lisp/auctex/context hides /usr/share/auctex/context
/usr/share/emacs/site-lisp/auctex/tex-font hides /usr/share/auctex/tex-font
/usr/share/emacs/site-lisp/auctex/context-nl hides /usr/share/auctex/contex=
t-nl
/usr/share/emacs/site-lisp/auctex/tex-mik hides /usr/share/auctex/tex-mik
/usr/share/emacs/site-lisp/auctex/tex-buf hides /usr/share/auctex/tex-buf
/usr/share/emacs/site-lisp/auctex/bib-cite hides /usr/share/auctex/bib-cite
/usr/share/emacs/site-lisp/auctex/toolbar-x hides /usr/share/auctex/toolbar=
-x
/usr/share/emacs/site-lisp/auctex/tex-fold hides /usr/share/auctex/tex-fold
/usr/share/emacs/site-lisp/auctex/tex-jp hides /usr/share/auctex/tex-jp
/usr/share/emacs/site-lisp/auctex/prv-emacs hides /usr/share/auctex/prv-ema=
cs
/usr/share/emacs/site-lisp/auctex/tex-ispell hides /usr/share/auctex/tex-is=
pell
/usr/share/emacs/site-lisp/auctex/tex hides /usr/share/auctex/tex
/usr/share/emacs/site-lisp/auctex/plain-tex hides /usr/share/auctex/plain-t=
ex
/usr/share/emacs/site-lisp/auctex/tex-bar hides /usr/share/auctex/tex-bar
/usr/share/emacs/site-lisp/auctex/multi-prompt hides /usr/share/auctex/mult=
i-prompt

Features:
(shadow sort flyspell ispell mail-extr emacsbug sendmail eieio-opt
speedbar sb-image ezimage dframe find-func help-fns radix-tree gomoku
zygospore t-mouse term/linux elec-pair man ansi-color warnings bbdb
bbdb-site timezone server pinentry battery time undo-tree diff cl-extra
help-mode autopair advice gnus-BTS bfbuilder edmacro kmacro fortune
gnus-art mm-uu mml2015 mm-view mml-smime smime dig mailcap gnus-sum
gnus-group gnus-undo gnus-start gnus-cloud nnimap nnmail mail-source tls
gnutls utf7 netrc nnoo parse-time gnus-spec gnus-int gnus-range message
rmc puny dired dired-loaddefs format-spec rfc822 mml mml-sec epa derived
epg mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader gnus-win mmm-mode mmm-univ mmm-class mmm-region
asdago-dark-theme paren savehist gnus nnheader gnus-util rmail
rmail-loaddefs rfc2047 rfc2045 ietf-drums time-date mail-utils mm-util
mail-prsvr wid-edit cus-start cus-load finder-inf autoinsert rx ede/auto
dpkg-dev-el info debian-el package easymenu epg-config url-handlers
url-parse auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache url-vars seq byte-opt gv bytecomp byte-compile cconv
w3m-load mmm-auto mmm-vars cl-loaddefs cl-lib mmm-utils mmm-compat
devhelp preview-latex tex-site auto-loads tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind inotify lcms2 dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 224227 15028)
 (symbols 48 32784 1)
 (miscs 40 94 212)
 (strings 32 69696 3743)
 (string-bytes 1 2154022)
 (vectors 16 24956)
 (vector-slots 8 604468 4742)
 (floats 8 228 599)
 (intervals 56 2185 0)
 (buffers 992 16))

--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=gomoku.patch
Content-Transfer-Encoding: quoted-printable
Content-Description: Fix character movement for `gomoku'

=2D-- gomoku.el~	2020-03-21 13:13:20.838106406 -0400
+++ gomoku.el	2020-03-21 13:13:14.666192678 -0400
@@ -110,8 +110,8 @@
     (define-key map "u" 'gomoku-move-ne)		    ; u
     (define-key map "b" 'gomoku-move-sw)		    ; b
     (define-key map "n" 'gomoku-move-se)		    ; n
=2D    (define-key map "h" 'backward-char)			    ; h
=2D    (define-key map "l" 'forward-char)			    ; l
+    (define-key map "h" 'gomoku-move-left)		    ; h
+    (define-key map "l" 'gomoku-move-right)		    ; l
     (define-key map "j" 'gomoku-move-down)		    ; j
     (define-key map "k" 'gomoku-move-up)		    ; k
=20
@@ -119,8 +119,8 @@
     (define-key map [kp-9] 'gomoku-move-ne)
     (define-key map [kp-1] 'gomoku-move-sw)
     (define-key map [kp-3] 'gomoku-move-se)
=2D    (define-key map [kp-4] 'backward-char)
=2D    (define-key map [kp-6] 'forward-char)
+    (define-key map [kp-4] 'gomoku-move-left)
+    (define-key map [kp-6] 'gomoku-move-right)
     (define-key map [kp-2] 'gomoku-move-down)
     (define-key map [kp-8] 'gomoku-move-up)
=20
@@ -954,6 +954,11 @@
 	 ;; 2 instead of 1 because WINDOW-HEIGHT includes the mode line !
 	 gomoku-square-height)))
=20
+(defun gomoku-point-x ()
+  "Return the board column where point is."
+  (1+ (/ (- (current-column) gomoku-x-offset)
+	 gomoku-square-width)))
+
 (defun gomoku-point-y ()
   "Return the board row where point is."
   (1+ (/ (- (count-lines (point-min) (point))
@@ -989,7 +994,7 @@
 	  (1- (point)) (point)
 	  '(mouse-face highlight help-echo "mouse-2: play at this square")))
     (delete-char 1)
=2D    (backward-char 1))
+    (gomoku-move-left))
   (sit-for 0))	; Display NOW
=20
 (defun gomoku-init-display (n m)
@@ -1103,7 +1108,7 @@
 	(setq square1 (+ square1 depl))
 	(cond
 	  ((=3D dy 0)			; Horizontal
=2D	   (forward-char 1)
+	   (gomoku-move-right)
 	   (insert-char ?- (1- gomoku-square-width) t)
 	   (delete-region (point) (progn
 				    (skip-chars-forward " \t")
@@ -1143,13 +1148,28 @@
           (skip-chars-forward gomoku--intangible-chars)
           (when (eobp)
             (skip-chars-backward gomoku--intangible-chars)
=2D            (forward-char -1)))
+            (gomoku-move-left)))
       (skip-chars-backward gomoku--intangible-chars)
       (if (bobp)
           (skip-chars-forward gomoku--intangible-chars)
=2D        (forward-char -1))))
+        (gomoku-move-left))))
   (setq gomoku--last-pos (point)))
=20
+;; forward-char and backward-char don't always move the right number
+;; of characters. Also, these functions check if you're on the edge of
+;; the screen.
+(defun gomoku-move-right ()
+  "Move point right one column on the Gomoku board."
+  (interactive)
+  (when (< (gomoku-point-x) gomoku-board-width)
+    (forward-char gomoku-square-width)))
+
+(defun gomoku-move-left ()
+  "Move point left one column on the Gomoku board."
+  (interactive)
+  (when (> (gomoku-point-x) 1)
+    (backward-char gomoku-square-width)))
+
 ;; previous-line and next-line don't work right with intangible newlines
 (defun gomoku-move-down ()
   "Move point down one row on the Gomoku board."
@@ -1171,25 +1191,25 @@
   "Move point North East on the Gomoku board."
   (interactive)
   (gomoku-move-up)
=2D  (forward-char))
+  (gomoku-move-right))
=20
 (defun gomoku-move-se ()
   "Move point South East on the Gomoku board."
   (interactive)
   (gomoku-move-down)
=2D  (forward-char))
+  (gomoku-move-right))
=20
 (defun gomoku-move-nw ()
   "Move point North West on the Gomoku board."
   (interactive)
   (gomoku-move-up)
=2D  (backward-char))
+  (gomoku-move-left))
=20
 (defun gomoku-move-sw ()
   "Move point South West on the Gomoku board."
   (interactive)
   (gomoku-move-down)
=2D  (backward-char))
+  (gomoku-move-left))
=20
 (defun gomoku-beginning-of-line ()
   "Move point to first square on the Gomoku board row."

--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYIAB0WIQQ485dc0XNAN7OXgJXUycT8VGCOaAUCXnZM+QAKCRDUycT8VGCO
aFOrAP93w+nUwVnlO+B9pRlG7zH6fsfHHPNbfzK2iFkbNfCCfQEAlURRVl9v9iJx
hblCr27b847xG5NIio4FUX+G9cX/sA0=
=dui9
-----END PGP SIGNATURE-----
--==-=-=--





Acknowledgement sent to Asher Gordon <AsDaGo@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#40169; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 23 Mar 2020 03:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.